Skip to main content

Create Payment Link

Endpoint for creating a Payment Link.

info

Please be aware that this endpoint requires a Manage Payment Links API Key.

POST /api/v1/groups/{group_id}/payment-links

Request Parameters

NameDescriptionTypeRequired
titleTitle of the Payment Link. It will be seen by end-users, make sure it is recognizable.stringRequired
descriptionDescription of the Payment Link. It will be seen by end-users.string
amountFixed amount to be charged. Must be greater than zero.uint64Required
processor_idProcessor ID used for the transaction.stringRequired
card_enabledIf true, Card payment option will be shown on the public page. Either card_enabled or ach_enabled must be set to true.boolRequired
ach_enabledIf true, ACH payment option will be shown on the public page. Either card_enabled or ach_enabled must be set to true.boolRequired
expires_atDate after which the Payment Link can no longer be paid. When omitted, the Payment Link never expires.string (YYYY-MM-DD)
redirect_urlAn HTTPS URL your end-user is redirected to after a successful payment.string

Response

CodeDescription
200Success
400Bad Request / Validation error
500Internal Error

Example Usage

create.js
var headers = new Headers();
headers.append('Authorization', 'API_KEY');

var requestOptions = {
method: 'POST',
headers: headers,
redirect: 'follow',
body: {
// request body data
}
};
const group_id = '';
const url = `https://api.reverepayments.dev/api/v1/groups/${group_id}/payment-links`;
fetch(url, requestOptions)
.then((response) => response.text())
.then((result) => console.log(result))
.catch((error) => console.log('error', error));

Example Request

{
"title": "Consulting session",
"description": "1 hour consulting session",
"amount": 15000,
"processor_id": "fbf2e44a-eed6-426f-b0e2-a3a5b34377c0",
"card_enabled": true,
"ach_enabled": true,
"expires_at": "2025-12-18T00:00:00.000Z",
"redirect_url": "https://example.com/thank-you"
}

Example Success Response

{
"id": "7e44c370-078e-4fa3-9909-bdd8554eb068",
"group_id": "8059f5c6-e1cd-4e46-9196-1d7e47401a3e",
"title": "Consulting session",
"description": "1 hour consulting session",
"amount": 15000,
"currency": "USD",
"card_enabled": true,
"ach_enabled": true,
"processor_id": "fbf2e44a-eed6-426f-b0e2-a3a5b34377c0",
"expires_at": "2025-12-18T00:00:00Z",
"redirect_url": "https://example.com/thank-you",
"status": "active",
"url": "https://merchant.reverepayments.dev/payment-links/7e44c370-078e-4fa3-9909-bdd8554eb068",
"created_at": "2025-11-18T14:27:10.661796389Z",
"updated_at": "2025-11-18T14:27:10.661796389Z"
}